
(function(root, factory) {

if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('./wrappers/InvocationContext'), require('./OrbipayApiError'));
  } 
}(this, function(InvocationContext, OrbipayApiError) {
  'use strict';

  var exports = function() {
  
  };
  
  exports.wrapResponse = function (exportsFunction, exception, httpErrorMessage, httpParsedData, httpResponse, clientRequest) {
        var data;
        if (!exception) {
            if (!httpErrorMessage) {
                data = exportsFunction.constructFromObject(httpParsedData);
		if(!data) {
		   data = {};
		}
		data['invocation_context'] = httpResponse ? InvocationContext.constructFromObject(httpResponse['header']) : undefined;
		data['http_status_code'] = httpResponse ? httpResponse['status'] : undefined;
		
            } else {
                exception = OrbipayApiError.constructFromHttpResponse(httpErrorMessage, httpResponse);
                exception['invocation_context'] = httpResponse ? InvocationContext.constructFromObject(httpResponse['header']) : undefined;
                if(httpErrorMessage.timeout) {
                    exception['is_timed_out']=httpErrorMessage.timeout;
                }
            }
        }
        return {'exception': exception, 'data': data};
  };

  return exports;

}));
