(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'models/ResourceAuditVo'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./ResourceAuditVo'));
  } else {
    // Browser globals (root is window)
    if (!root.OrbipayPaymentsapiClient) {
      root.OrbipayPaymentsapiClient = {};
    }
    root.OrbipayPaymentsapiClient.AuditInfoVo = factory(root.OrbipayPaymentsapiClient.ApiClient, root.OrbipayPaymentsapiClient.ResourceAuditVo);
  }
}(this, function(ApiClient, ResourceAuditVo) {
  'use strict';




  /**
   * The AuditInfoVo model module.
   * @module models/AuditInfoVo
   */

  /**
   * <h3 style="color:red"> This class subject to change without prior notice, Please dont use this class directly. </h3>

   * Constructs a new <code>AuditInfoVo</code>.
   * @alias module:models/AuditInfoVo
   * @class
   */
  var exports = function() {
    var _this = this;



  };

  /**
   * Constructs a <code>AuditInfoVo</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:models/AuditInfoVo} obj Optional instance to populate.
   * @return {module:models/AuditInfoVo} The populated <code>AuditInfoVo</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('created')) {
        obj['created'] = ResourceAuditVo.constructFromObject(data['created']);
      }
      if (data.hasOwnProperty('last_modified')) {
        obj['last_modified'] = ResourceAuditVo.constructFromObject(data['last_modified']);
      }
    }
    return obj;
  };

  /**
   * @member {module:models/ResourceAuditVo} created
   */
  exports.prototype['created'] = undefined;
  /**
   * @member {module:models/ResourceAuditVo} last_modified
   */
  exports.prototype['last_modified'] = undefined;



  return exports;
}));


