(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'models/ErrorVo'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./ErrorVo'));
  } else {
    // Browser globals (root is window)
    if (!root.OrbipayPaymentsapiClient) {
      root.OrbipayPaymentsapiClient = {};
    }
    root.OrbipayPaymentsapiClient.ErrorResponseVo = factory(root.OrbipayPaymentsapiClient.ApiClient, root.OrbipayPaymentsapiClient.ErrorVo);
  }
}(this, function(ApiClient, ErrorVo) {
  'use strict';




  /**
   * The ErrorResponseVo model module.
   * @module models/ErrorResponseVo
   */

  /**
   * <h3 style="color:red"> This class subject to change without prior notice, Please dont use this class directly. </h3>

   * Constructs a new <code>ErrorResponseVo</code>.
   * @alias module:models/ErrorResponseVo
   * @class
   */
  var exports = function() {
    var _this = this;


  };

  /**
   * Constructs a <code>ErrorResponseVo</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:models/ErrorResponseVo} obj Optional instance to populate.
   * @return {module:models/ErrorResponseVo} The populated <code>ErrorResponseVo</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('errors')) {
        obj['errors'] = ApiClient.convertToType(data['errors'], [ErrorVo]);
      }
    }
    return obj;
  };

  /**
   * @member {Array.<module:models/ErrorVo>} errors
   */
  exports.prototype['errors'] = undefined;



  return exports;
}));


