(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'models/FundingAccountMinimalRequest', 'models/PaymentScheduleMinimalRequest'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./FundingAccountMinimalRequest'), require('./PaymentScheduleMinimalRequest'));
  } else {
    // Browser globals (root is window)
    if (!root.OrbipayPaymentsapiClient) {
      root.OrbipayPaymentsapiClient = {};
    }
    root.OrbipayPaymentsapiClient.UpdatePaymentSetupRequest = factory(root.OrbipayPaymentsapiClient.ApiClient, root.OrbipayPaymentsapiClient.FundingAccountMinimalRequest, root.OrbipayPaymentsapiClient.PaymentScheduleMinimalRequest);
  }
}(this, function(ApiClient, FundingAccountMinimalRequest, PaymentScheduleMinimalRequest) {
  'use strict';




  /**
   * The UpdatePaymentSetupRequest model module.
   * @module models/UpdatePaymentSetupRequest
   */

  /**
   * <h3 style="color:red"> This class subject to change without prior notice, Please dont use this class directly. </h3>

   * Constructs a new <code>UpdatePaymentSetupRequest</code>.
   * @alias module:models/UpdatePaymentSetupRequest
   * @class
   */
  var exports = function() {
    var _this = this;




  };

  /**
   * Constructs a <code>UpdatePaymentSetupRequest</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:models/UpdatePaymentSetupRequest} obj Optional instance to populate.
   * @return {module:models/UpdatePaymentSetupRequest} The populated <code>UpdatePaymentSetupRequest</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('funding_account')) {
        obj['funding_account'] = FundingAccountMinimalRequest.constructFromObject(data['funding_account']);
      }
      if (data.hasOwnProperty('payment_schedule')) {
        obj['payment_schedule'] = PaymentScheduleMinimalRequest.constructFromObject(data['payment_schedule']);
      }
      if (data.hasOwnProperty('comments')) {
        obj['comments'] = ApiClient.convertToType(data['comments'], 'String');
      }
    }
    return obj;
  };

  /**
   * @member {module:models/FundingAccountMinimalRequest} funding_account
   */
  exports.prototype['funding_account'] = undefined;
  /**
   * @member {module:models/PaymentScheduleMinimalRequest} payment_schedule
   */
  exports.prototype['payment_schedule'] = undefined;
  /**
   * Comments that can be used to recollect the operation performed on the resource object. API clients need to ensure that no sensitive information is passed in the memo. Alacriti (EBPP) is not responsible for the security of any sensitive information that may be passed as part of the memo.
   * @member {String} comments
   */
  exports.prototype['comments'] = undefined;



  return exports;
}));


